SCREENBLANK(1)

NAME
screenblank - screen saver daemon for the Sun 3 and SPARC

SYNOPSIS
screenblank [-k | -m] [-d timeout] [-e timeout] [-f framebuffer]

DESCRIPTION
Screenblank disables the framebuffer if the keyboard and mouse are idle for a period of time, and re-enables the framebuffer when keyboard or mouse activity resumes.

When killed with a SIGINT, SIGHUP, or SIGTERM, screenblank will re-enable the framebuffer. The pid can be found in the file /var/run/screenblank.pid.

The options are as follows:

-k  Do not check the keyboard for activity.

-m  Do not check the mouse for activity.

-d timeout
    Wait the number of seconds specified by timeout, expressed in the format `xxx.xxx', before disabling the framebuffer due to inactivity. The default is 600 seconds (10 minutes).

-e timeout
    Wait the number of seconds specified by timeout, expressed in the format `xxx.xxx', before re-enabling the framebuffer once activity resumes. The default is .25 seconds.

-f framebuffer
    Use the framebuffer device framebuffer instead of the default /dev/fb.

Note that the -k and -m flags are mutually exclusive.

FILES

/dev/kbd
    The keyboard device.

/dev/mouse
    The mouse device.

/dev/console
    The console device.

/dev/fb
    The default framebuffer.

/var/run/screenblank.pid
    File containing the pid of screenblank.